@echo off
set libdir=..\cyborn\lib
set boot=lines.boot

echo 'C to Assembly..'
..\bin\h8300-hms-gcc.exe *.c -I ..\cyborn\include -S -ms

echo 'Assembling..'
copy ..\cyborn\build\crt0.o 0crt.o
..\bin\h8300-hms-as.exe *.s  -o font.o

echo 'Linking...'
..\bin\h8300-hms-ld.exe -T ..\cyborn\build\cybikoboot.ld *.o  %libdir%\libcyborn.a %libdir%\libgfx.a %libdir%\libc.a --relax -o %boot%

echo 'Object..'
..\bin\h8300-hms-objcopy.exe %boot% -O binary -I coff-h8300

echo 'Clean up'
del *.o *.s

pause
